WARN util.NativeCodeLoader: Unable to load native-hadoop library for your platform... using builtin-

转载 2015年11月17日 16:34:12

目录
前言
1.相关环境
2.获取代码
3.安装Hadoop
4.安装Native Lib
5.安装完成
6.相关链接

前言
最近需要安装CDH4.5, 在重启后提示缺失native lib, 经过一番折腾后,终于安装成功,下面记录下native lib的获取过程.

@Author duangr

@Website http://www.linuxidc.com/Linux/2014-03/98599.htm

1.相关环境

项 值
OS CentOS6.4
Arch x86_64
Hadoop hadoop-2.0.0-cdh4.5.0
[主]duangr-1 192.168.56.10
[主]duangr-2 192.168.56.11
[主]duangr-3 192.168.56.12
2.获取代码

hadoop-2.0.0-cdh4.5.0.tar.gz
hadoop-2.0.0+1518-1.cdh4.5.0.p0.24.el6.x86_64.rpm

3.安装hadoop

安装hadoop-2.0.0-cdh4.5.0.tar.gz, 此处略

4.安装Native Lib

将hadoop-2.0.0+1518-1.cdh4.5.0.p0.24.el6.x86_64.rpm在PC上使用压缩工具打开后,取出\usr\lib\hadoop\lib\native 下面的代码,上传到主机 ${HADOOP_HOME}/lib/native 下面

cd ${HADOOP_HOME}/lib/native
rm libhadoop.so
rm libsnappy.so
rm libsnappy.so.1
ln -s libhadoop.so.1.0.0 libhadoop.so
ln -s libsnappy.so.1.1.3 libsnappy.so.1
ln -s libsnappy.so.1.1.3 libsnappy.so

cd ..
tar -zcf native.tar.gz native

scp native.tar.gz duangr-2:HADOOPHOME/libsshduangr2cd{HADOOP_HOME}/lib; tar -zxf native.tar.gz;”

scp native.tar.gz duangr-3:HADOOPHOME/libsshduangr3cd{HADOOP_HOME}/lib; tar -zxf native.tar.gz;”

5.安装完成

重启hadoop即可

相关文章推荐

WARN util.NativeCodeLoader: Unable to load native-hadoop library for your platform...的解决方案

在执行hdfs dfs 相关命令时会报WARN util.NativeCodeLoader: Unable to load native-hadoop library foryour platfor...

解决WARN util.NativeCodeLoader: Unable to load native-hadoop library for your platform问题

hadoop安装完成之后,运行hadoop。总是提示
  • long69
  • long69
  • 2014年08月08日 00:24
  • 404

Hadoop错误6_WARN util.NativeCodeLoader: Unable to load native-hadoop library for your platform问题总结

在Ubuntu上安装完hadoop2.4以后,使用以下命令: hadoop fs -ls 14/09/09 11:33:51 WARN util.NativeCodeLoader: Unable t...

Hadoop之—— WARN util.NativeCodeLoader: Unable to load native-hadoop library for your platform...

转自:http://blog.csdn.net/l1028386804/article/details/51538611 配置完Hadoop启动的时候出现如下警告信息: ...

hadoop错误INFO util.NativeCodeLoader - Unable to load native-hadoop library for your platform... using

0.以下在系统CentOS 6.3 x86_64上操作 1.试图运行程序,提示"libc.so.6: version `GLIBC_2.14' not found",原因是系统的glibc版本太低,...

MAC OS 运行hadoop提示util.NativeCodeLoader: Unable to load native-hadoop library for your platform的解决

在Mac OS 测试Hadoop时,无论是启动Hadoop服务,还是运行Hadoop命令,均会提示以下警告信息: ./start-dfs.sh 17/04/23 18:20:15 WARN...

Unable to load native-hadoop library for your platform... using builtin-java classes where applicab

源文地址:http://www.cnblogs.com/gpcuster/archive/2011/02/17/1957042.html Hadoop是使用Java语言开发的,但是有一些需求...

NativeCodeLoader: Unable to load native-hadoop library for your platform

至今为止,搭建的所有集群里都有这个错误:

WARN util.NativeCodeLoader: Unable to load native-hadoop library解决方案

在运行hadoop的时候,出现警告: WARN util.NativeCodeLoader: Unable to load native-hadoop library for your plat...

Hadoop本地库警告处理(WARN util.NativeCodeLoader: Unable to load native-hadoop library)

Hadoop本地库警告处理 警告详情 WARN util.NativeCodeLoader: Unable to load native-hadoop library for your plat...
内容举报
返回顶部
收藏助手
不良信息举报
您举报文章:WARN util.NativeCodeLoader: Unable to load native-hadoop library for your platform... using builtin-
举报原因:
原因补充:

(最多只允许输入30个字)